# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list(index_name="docs-example")
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.listByIndex('docs-example');
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
indexName := "docs-example"
backups, err := pc.ListBackups(ctx, &pinecone.ListBackupsParams{
IndexName: &indexName,
})
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl -X GET "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"data": [
{
"backup_id": "bkp_123abc",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
},
{
"backup_id": "bkp_789xyz",
"cloud": "aws",
"created_at": "2025-03-20T15:45:00.000Z",
"description": "Pre-deployment safety backup",
"name": "backup-2025-03-20",
"namespace_count": 4,
"record_count": 125000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10500000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "pre-deploy"
}
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}List backups for an index
When include_deleted is false (or omitted), index_name must resolve to an active index in the project. If no active index by that name exists—including the case where only deleted indexes have used the name—the API returns 404, not an empty list.
When include_deleted is true, the API returns backups from every index in the project that has ever used this name (active and deleted). The source_index_deleted_at field is present only when the backup is from a deleted index. 404 is returned only when no index by that name has ever existed in the project (active or deleted).
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list(index_name="docs-example")
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.listByIndex('docs-example');
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
indexName := "docs-example"
backups, err := pc.ListBackups(ctx, &pinecone.ListBackupsParams{
IndexName: &indexName,
})
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl -X GET "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"data": [
{
"backup_id": "bkp_123abc",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
},
{
"backup_id": "bkp_789xyz",
"cloud": "aws",
"created_at": "2025-03-20T15:45:00.000Z",
"description": "Pre-deployment safety backup",
"name": "backup-2025-03-20",
"namespace_count": 4,
"record_count": 125000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10500000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "pre-deploy"
}
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list(index_name="docs-example")
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.listByIndex('docs-example');
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
indexName := "docs-example"
backups, err := pc.ListBackups(ctx, &pinecone.ListBackupsParams{
IndexName: &indexName,
})
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_NAME="docs-example"
curl -X GET "https://api.pinecone.io/indexes/$INDEX_NAME/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Path Parameters
Query Parameters
Response
Returns backups associated with the index name. With include_deleted true, backups for all versions of the index name are returned. With include_deleted false, only backups for the active index are returned, or 404 if there is no active index.
Was this page helpful?